Search files and folders
GET
apiToken storage:files:readheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: storage:files:read
orderId*numberpath?stringq?stringOperation completed or accepted; asynchronous actions may still be running.
application/json- response
query*stringitems*array<>truncated*booleancurl -X GET 'https://api.deluxhost.net/v1/services/0/storage/files/search' \ -H "Authorization: Bearer $DELUXHOST_TOKEN"Example Response
{ "query": "string", "items": [ { "name": "string", "path": "string", "size": 0, "isDirectory": true, "modifiedAt": "string" } ], "truncated": true}